# \Thelia\Core\Template\Smarty\PluginsAssetic

The class all Smarty Thelia plugin shoud extend

Class AbstractSmartyPlugin

## Summary

Methods
Properties
Constants
__construct()
blockJavascripts()
blockImages()
blockStylesheets()
functionImage()
getPluginDescriptors()
getNormalizedParam()
getParam()
$assetManager
No constants found
_explode()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Template/Smarty/Plugins/Assetic.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin
  \Thelia\Core\Template\Smarty\Plugins\Assetic

## Tags

None found

## Properties

### $assetManager

    $assetManager

#

## Tags

None found

## Methods

### __construct()

    __construct()

#

## Tags

None found

### blockJavascripts()

    blockJavascripts( $params,  $content, \Smarty_Internal_Template $template,  $repeat)

#### Parameters

| $params |
| $content |
\Smarty_Internal_Template | $template |
| $repeat |

#

## Tags

None found

### blockImages()

    blockImages( $params,  $content, \Smarty_Internal_Template $template,  $repeat)

#### Parameters

| $params |
| $content |
\Smarty_Internal_Template | $template |
| $repeat |

#

## Tags

None found

### blockStylesheets()

    blockStylesheets( $params,  $content, \Smarty_Internal_Template $template,  $repeat)

#### Parameters

| $params |
| $content |
\Smarty_Internal_Template | $template |
| $repeat |

#

## Tags

None found

### functionImage()

    functionImage( $params, \Smarty_Internal_Template $template)

#### Parameters

| $params |
\Smarty_Internal_Template | $template |

#

## Tags

None found

### getPluginDescriptors()

    getPluginDescriptors() : \Thelia\Core\Template\Smarty\an

#### Returns

\Thelia\Core\Template\Smarty\an —

array of SmartyPluginDescriptor

#

abstract

Inherited from
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

## Tags

None found

### getNormalizedParam()

    getNormalizedParam(array $params, mixed $name, mixed $default) : mixed

Get a function or block parameter value, and normalize it, trimming balnks and making it lowercase

#### Parameters

array | $params | the parameters array
mixed | $name | as single parameter name, or an array of names. In this case, the first defined parameter is returned. Use this for aliases (context, ctx, c)
mixed | $default | the defaut value if parameter is missing (default to null)

#### Returns

mixed —

the parameter value, or the default value if it is not found.

#

Inherited from
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

## Tags

None found

### getParam()

    getParam(array $params, mixed $name, mixed $default) : mixed

Get a function or block parameter value

#### Parameters

array | $params | the parameters array
mixed | $name | as single parameter name, or an array of names. In this case, the first defined parameter is returned. Use this for aliases (context, ctx, c)
mixed | $default | the defaut value if parameter is missing (default to null)

#### Returns

mixed —

the parameter value, or the default value if it is not found.

#

Inherited from
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

## Tags

None found

### _explode()

    _explode(\Thelia\Core\Template\Smarty\unknown $commaSeparatedValues) : \Thelia\Core\Template\Smarty\multitype:

Explode a comma separated list in a array, trimming all array elements

#### Parameters

\Thelia\Core\Template\Smarty\unknown | $commaSeparatedValues |

#### Returns

\Thelia\Core\Template\Smarty\multitype:

#

Inherited from
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

## Tags

None found

### Assetic.php